import { type Base, genBase } from './_base'

export interface DiagnoseSrc extends Base {
  code: string
  name: string
  indName: string
}

export function genDiagnoseSrc(): DiagnoseSrc {
  return {
    ...genBase(),
    code: '',
    name: '',
    indName: '',
  }
}
